| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csStringFast< 0 > Class Template Reference

Inheritance diagram for csStringFast< 0 >:

[legend]
List of all members.

## Public Member Functions
| csStringFast (unsigned char c)
| csStringFast (char c)
| csStringFast (const char *src, size_t _length)
| csStringFast (const char *src)
| csStringFast (const csStringBase &copy)
| csStringFast (size_t Length)
| csStringFast ()
const csStringFast & | operator= (ulonglong x)
const csStringFast & | operator= (longlong x)
const csStringFast & | operator= (double x)
const csStringFast & | operator= (float x)
const csStringFast & | operator= (unsigned long x)
const csStringFast & | operator= (long x)
const csStringFast & | operator= (unsigned int x)
const csStringFast & | operator= (int x)
const csStringFast & | operator= (unsigned short x)
const csStringFast & | operator= (short x)
const csStringFast & | operator= (bool x)
const csStringFast & | operator= (unsigned char x)
const csStringFast & | operator= (char x)
const csStringFast & | operator= (const char *copy)
const csStringFast & | operator= (const csStringBase &copy)
| Assign another string to this one.

## Detailed Description

### template<>
class csStringFast< 0 >

Definition at line 1110 of file csstring.h.

## Member Function Documentation

const csStringFast& csStringFast< 0 >::operator= | ( | const csStringBase & | copy | ) | `[inline]`

Assign another string to this one.

Reimplemented from csStringBase.

Definition at line 1121 of file csstring.h.

References csStringBase::Replace().

The documentation for this class was generated from the following file:

- csutil/csstring.h